Loading...
Searching...
No Matches
LLVM_Output.h File Reference
`#include <memory>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | llvm
namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Typedefs

typedef llvm::raw_pwrite_stream | Halide::Internal::LLVMOStream

## Functions

std::unique_ptr< llvm::Module > | Halide::compile_module_to_llvm_module (const Module &module, llvm::LLVMContext &context)
| Generate an LLVM module.
std::unique_ptr< llvm::raw_fd_ostream > | Halide::make_raw_fd_ostream (const std::string &filename)
| Construct an llvm output stream for writing to files.
void | Halide::compile_llvm_module_to_object (llvm::Module &module, Internal::LLVMOStream &out)
| Compile an LLVM module to native targets (objects, native assembly).
void | Halide::compile_llvm_module_to_assembly (llvm::Module &module, Internal::LLVMOStream &out)
void | Halide::compile_llvm_module_to_llvm_bitcode (llvm::Module &module, Internal::LLVMOStream &out)
| Compile an LLVM module to LLVM targets (bitcode, LLVM assembly).
void | Halide::compile_llvm_module_to_llvm_assembly (llvm::Module &module, Internal::LLVMOStream &out)
void | Halide::create_static_library (const std::vector< std::string > &src_files, const Target &target, const std::string &dst_file, bool deterministic=true)
| Concatenate the list of src_files into dst_file, using the appropriate static library format for the given target (e.g., .a or .lib).